Bug 188779 - x11/xlockmore fails staging QA test
Summary: x11/xlockmore fails staging QA test
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-19 01:10 UTC by Joseph Mingrone
Modified: 2014-04-29 23:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2014-04-19 01:10:00 UTC
The port build and installs into the stage directory, but the following error message appears at the end:

Error: /usr/ports/x11/xlockmore/work/stage/usr/local/bin/xlock is referring to /usr/ports/x11/xlockmore/work/stage

How-To-Repeat: Attempt to reinstall the port.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-19 01:10:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-29 23:47:28 UTC
Author: jgh
Date: Tue Apr 29 22:47:23 2014
New Revision: 352659
URL: http://svnweb.freebsd.org/changeset/ports/352659
QAT: https://qat.redports.org/buildarchive/r352659/

Log:
  - fix staging issue, bump portrevision as build behavior is changed
  - while here convert bzip2 to new uses framework
  
  PR:             188779
  Submitted by:   john.hein@microsemi.com (via mail)

Added:
  head/x11/xlockmore/files/patch-modes-Makefile.in   (contents, props changed)
  head/x11/xlockmore/pkg-plist   (contents, props changed)
Modified:
  head/x11/xlockmore/Makefile

Modified: head/x11/xlockmore/Makefile
==============================================================================
--- head/x11/xlockmore/Makefile	Tue Apr 29 22:23:53 2014	(r352658)
+++ head/x11/xlockmore/Makefile	Tue Apr 29 22:47:23 2014	(r352659)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xlockmore
 PORTVERSION=	5.43
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES?=	x11
 MASTER_SITES=	http://www.tux.org/~bagleyd/xlock/${PORTNAME}-${PORTVERSION}/ \
 		ftp://ibiblio.org/pub/Linux/X11/screensavers/ \
@@ -12,21 +12,20 @@ MASTER_SITES=	http://www.tux.org/~bagley
 MAINTAINER?=	jgh@FreeBSD.org
 COMMENT=	Like XLock session locker/screen saver, but just more
 
-USE_BZIP2=	yes
+USES=		tar:bzip2
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--without-motif --without-ttf --without-editres \
 		--without-dtsaver --without-rplay --without-nas \
-		--without-gtk --without-esound
+		--without-gtk --without-esound --disable-setuid
 
 USE_GNOME=	#
 USE_XORG=	x11 xaw ice
 
 LIB_DEPENDS+=	libfreetype.so:${PORTSDIR}/print/freetype2
 
-PLIST_FILES=	bin/xlock lib/X11/app-defaults/XLock man/man1/xlock.1.gz
-
 OPTIONS_DEFINE=	MESAGL MB SYSLOG DISABLE_ALLOW_ROOT NICE_ONLY BLANK_ONLY \
 		KERBEROS4 BAD_PAM GTK2 TIME_BOMB CUSTOMIZATION MAGICK
+OPTIONS_SUB=	yes
 
 MESAGL_DESC=	Mesa 3D (for GL modes)
 MB_DESC=	Xmb function series
@@ -48,7 +47,7 @@ NO_OPTIONS_SORT=yes
 MAKE_ARGS+=	bindir=${STAGEDIR}${PREFIX}/bin \
 		mandir=${STAGEDIR}${PREFIX}/man/man1 \
 		datarootdir=${STAGEDIR}${PREFIX}/share \
-		xapploaddir=${STAGEDIR}${PREFIX}/lib/X11/app-defaults
+		xapploaddir=${PREFIX}/lib/X11/app-defaults
 
 .include <bsd.port.options.mk>
 
@@ -106,8 +105,6 @@ CONFIGURE_ARGS+=	--enable-syslog
 .if ${PORT_OPTIONS:MGTK2}
 CONFIGURE_ARGS+=	--with-gtk2
 USE_GNOME+=	gtk20
-PLIST_FILES+=	bin/xglock share/xlock/xglockrc
-PLIST_DIRS+=	share/xlock
 .else
 CONFIGURE_ARGS+=	--without-gtk2
 .endif

Added: head/x11/xlockmore/files/patch-modes-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/xlockmore/files/patch-modes-Makefile.in	Tue Apr 29 22:47:23 2014	(r352659)
@@ -0,0 +1,26 @@
+install to DESTDIR; this allows xapploaddir to only
+contain the <prefix> path and not the staging dir
+(it gets compiled into the binary via DEF_FILESEARCHPATH).
+
+--- modes/Makefile.in.orig	2013-02-21 07:56:39.000000000 -0700
++++ modes/Makefile.in	2014-04-29 10:44:15.000000000 -0600
+@@ -608,8 +608,8 @@
+ 	$(INSTALL_DATA) $(UTILDIR)xlock.man $(mandir)/xlock.1
+ 
+ install-ad :
+-	$(top_srcdir)/mkinstalldirs $(xapploaddir)
+-	$(INSTALL_DATA) $(UTILDIR)XLock.ad $(xapploaddir)/XLock
++	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(xapploaddir)
++	$(INSTALL_DATA) $(UTILDIR)XLock.ad $(DESTDIR)$(xapploaddir)/XLock
+ 
+ uninstall : uninstall-program uninstall-man uninstall-ad
+ 
+@@ -620,7 +620,7 @@
+ 	$(RM) $(mandir)/xlock.1
+ 
+ uninstall-ad :
+-	$(RM) $(xapploaddir)/XLock
++	$(RM) $(DESTDIR)$(xapploaddir)/XLock
+ 
+ install.program : install-program
+ 

Added: head/x11/xlockmore/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/xlockmore/pkg-plist	Tue Apr 29 22:47:23 2014	(r352659)
@@ -0,0 +1,10 @@
+%%GTK2%%bin/xglock
+@mode 4111
+@owner root
+bin/xlock
+@mode
+@owner
+lib/X11/app-defaults/XLock
+man/man1/xlock.1.gz
+%%GTK2%%share/xlock/xglockrc
+%%GTK2%%@dirrm share/xlock
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2014-04-29 23:48:01 UTC
State Changed
From-To: open->closed

fix committed in r352659